Skip to content
fluidwave
Search
Ctrl
K
Auto
Light
Dark
Get started
Guides
API Reference
Get started
HTTP
HTTP
HTTP
TypeScript
TypeScript
Guides
API Reference
Overview
V1
Tasks
List
Create
Retrieve
Update
Delete
Lists
List
Create
Retrieve
Update
Delete
Schedules
List
Create
Retrieve
Update
Delete
Categories
List
Create
Retrieve
Update
Delete
Contexts
List
Create
Retrieve
Update
Delete
API Reference
V1
Copy Markdown
Open in
Claude
Open in
ChatGPT
Open in
Cursor
Copy Markdown
View as Markdown
Tasks
List tasks
GET
/api/v1/tasks
Create task
POST
/api/v1/tasks
Get task
GET
/api/v1/tasks/{todoId}
Update task
PATCH
/api/v1/tasks/{todoId}
Delete task (soft)
DELETE
/api/v1/tasks/{todoId}
Models
Expand
Collapse
BaseEntity
=
object
{
id
,
createdAt
,
deletedAt
,
4 more
}
id
:
string
createdAt
:
string
format
date-time
deletedAt
:
string
format
date-time
isDeleted
:
boolean
spaceId
:
string
updatedAt
:
string
format
date-time
versionUpdatedAt
:
number
SingleResponseTodo
=
object
{
data
,
spaceVersion
}
data
:
Todo
{
sortOrder
,
todoId
,
complexity
,
14 more
}
sortOrder
:
number
todoId
:
string
complexity
:
optional
string
contextId
:
optional
string
dateDue
:
optional
string
format
date-time
dateStart
:
optional
string
format
date-time
durationEstimate
:
optional
number
durationMs
:
optional
number
goalId
:
optional
string
isImportant
:
optional
boolean
isTimeSensitive
:
optional
boolean
listId
:
optional
string
name
:
optional
string
notesMarkdown
:
optional
string
status
:
optional
string
TodoPredecessorsAllAny
:
optional
"ALL"
or
"ANY"
One of the following:
"ALL"
"ANY"
TodoPredecessorsView
:
optional
boolean
spaceVersion
:
number
Current Replicache space version (
Space.version
).
Todo
=
BaseEntity
{
id
,
createdAt
,
deletedAt
,
4 more
}
sortOrder
:
number
todoId
:
string
complexity
:
optional
string
contextId
:
optional
string
dateDue
:
optional
string
format
date-time
dateStart
:
optional
string
format
date-time
durationEstimate
:
optional
number
durationMs
:
optional
number
goalId
:
optional
string
isImportant
:
optional
boolean
isTimeSensitive
:
optional
boolean
listId
:
optional
string
name
:
optional
string
notesMarkdown
:
optional
string
status
:
optional
string
TodoPredecessorsAllAny
:
optional
"ALL"
or
"ANY"
One of the following:
"ALL"
"ANY"
TodoPredecessorsView
:
optional
boolean
On this page
Overview
Tasks
What can I help you with?
Suggestions
Troubleshoot SDK usage
Learn about API authentication
Build an example app